import request from '@/utils/request'

// 查询部门列表
export function listDept(query) {
  return request({
    url: '/system/dept-xq/list',
    method: 'get',
    params: query
  })
}
// 获取部门精简信息列表
export function listSimpleDepts() {
  return request({
    url: '/system/dept-xq/list-all-simple',
    method: 'get'
  })
}
// 创建部门
export function createDept(data) {
  return request({
    url: '/system/dept-xq/create',
    method: 'post',
    data: data
  })
}

// 更新部门
export function updateDept(data) {
  return request({
    url: '/system/dept-xq/update',
    method: 'put',
    data: data
  })
}

// 删除部门
export function deleteDept(id) {
  return request({
    url: '/system/dept-xq/delete?id=' + id,
    method: 'delete'
  })
}

// 获得部门
export function getDept(id) {
  return request({
    url: '/system/dept-xq/get?id=' + id,
    method: 'get'
  })
}

// 获得部门分页
export function getDeptPage(query) {
  return request({
    url: '/system/dept-xq/page',
    method: 'get',
    params: query
  })
}

// 导出部门 Excel
export function exportDeptExcel(query) {
  return request({
    url: '/system/dept-xq/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
